
TYPO3.Flow - Bug # 27825

Status: Closed Priority: Must have
Author: Stephan Schuler Category: Utility
Created: 2011-07-04 Assigned To: Karsten Dambekalns
Updated: 2011-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: TypeHandling should use the Collection interface as collection type 
Description
Only the following values are possible collection types that can have an element type annotation for children at the moment:
    -  array
    -  \ArrayObject
    -  \SplObjectStorage
    -  \Doctrine\Common\Collections\ArrayCollection

As a \Doctrine\Common\Collections\PersistentCollection is no \Doctrine\Common\Collections\ArrayCollection but implements the
\Doctrine\Common\Collections\Collection interface as well, FLOW3 should use the Collection interface for determining if its a
collection type.

Related issues:
duplicated by TYPO3.Flow - Bug # 29419: It is impossible to use the Collectio... Resolved 2011-09-01

History
#1 - 2011-07-06 16:37 - Karsten Dambekalns
- Category set to Utility
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Target version set to 1230

#2 - 2011-09-02 12:21 - Karsten Dambekalns
- Status changed from Accepted to Closed

Ok, I didn't realize we had this one when creating #29419 - refer to that one for actual progress on this issue.

#3 - 2011-10-20 01:37 - Karsten Dambekalns
- Target version changed from 1230 to 1.0.0
